org.eclipse.wst.jsdt.core.infer

## Interface IInferenceFile

    public interface IInferenceFile

Representation of a file which can be inferrenced.

This interface is not intended to be implemented by clients.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`char[]` `getFileName()` get the filename for the script if it can be determined
`java.lang.String` `getInferenceID()` get the inference ID for the script if it is located in a container that specified an Inference ID

### Method Detail

#### getFileName

    char[] getFileName()

get the filename for the script if it can be determined

Returns:
  the scripts file name, this could be null

#### getInferenceID

    java.lang.String getInferenceID()

get the inference ID for the script if it is located in a container that specified an Inference ID

Returns:
  the inference ID for the script, could be null